Add -flocal-ghci-history flag (#9089).
ClosedPublic

Authored by ak3n on Aug 20 2016, 6:18 PM.

Details

Summary

This instructs GHCi to place .ghci_history in the current directory.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ak3n updated this revision to Diff 8438.Aug 20 2016, 6:18 PM
ak3n retitled this revision from to Add -local-ghci-history flag (#9089)..
ak3n updated this object.
ak3n edited the test plan for this revision. (Show Details)
ak3n updated this revision to Diff 8446.Aug 21 2016, 5:19 AM
ak3n edited edge metadata.
  • Add :ghc-flag: for -local-ghci-history
thomie edited edge metadata.Aug 27 2016, 1:18 PM
thomie updated the Trac tickets for this revision.
ak3n added a comment.Aug 27 2016, 1:21 PM

I don't know how to test it, since GHCi doesn't allow to execute commands from history, right?

thomie requested changes to this revision.Aug 27 2016, 2:27 PM
thomie added a reviewer: thomie.

Missing changelog entry: docs/users_guide/8.2.1-notes.rst
Missing update to utils/mkUserGuidePart/Options/Misc.hs

This revision now requires changes to proceed.Aug 27 2016, 2:27 PM
ak3n updated this revision to Diff 8495.Aug 27 2016, 2:46 PM
ak3n edited edge metadata.
  • Add docs.
thomie accepted this revision.Aug 28 2016, 5:45 PM
thomie edited edge metadata.

LGTM

This revision is now accepted and ready to land.Aug 28 2016, 5:45 PM
bgamari edited edge metadata.Aug 30 2016, 3:37 PM

Looks good to me. Thanks @ak3n!

bgamari accepted this revision.Aug 30 2016, 3:37 PM
bgamari edited edge metadata.

Looks good to me. Thanks @ak3n!

That being said, while merging this I noticed that -fno-ghci-history is a -f flag. Perhaps this one should be -flocal-ghci-history?

bgamari requested changes to this revision.Aug 30 2016, 4:50 PM
bgamari edited edge metadata.
bgamari added inline comments.
utils/mkUserGuidePart/Options/Misc.hs
42

Also, the period is outside of the quotes here.

This revision now requires changes to proceed.Aug 30 2016, 4:50 PM
ak3n updated this revision to Diff 8556.Aug 30 2016, 5:26 PM
ak3n edited edge metadata.
  • Rename local-ghci-history to flocal-ghci-history.
ak3n marked an inline comment as done.Aug 30 2016, 5:27 PM

Oops, sorry.

bgamari accepted this revision.Aug 31 2016, 12:38 PM
bgamari edited edge metadata.

Thanks!

This revision is now accepted and ready to land.Aug 31 2016, 12:38 PM
bgamari retitled this revision from Add -local-ghci-history flag (#9089). to Add -flocal-ghci-history flag (#9089)..Aug 31 2016, 12:48 PM
bgamari edited edge metadata.
bgamari updated this object.
This revision was automatically updated to reflect the committed changes.